#!/usr/bin/expect
# Helper script to connect and download using sftp
# Invoked from download action
# Usage: sftp_get.sh user password host remote_dir localpath

set user [lindex $argv 0]
set password [lindex $argv 1]
set host [lindex $argv 2]
set r_dir [lindex $argv 3]
set localpath [lindex $argv 4]

set timeout 90
spawn sftp -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null $user@$host:$r_dir $localpath
expect "password:"
send "$password\n"
set timeout 3000
catch wait result
exit [lindex $result 3]
